Contacts list

This method allows to get a list of contacts in the account

Limitations
Method is available in correspondence to the user rights.

“with” Parameters

ParameterDescription
leadsAdds info on the leads linked to the contact into the response
catalog_elementsAdds lists elements linked to the contact into the response

Find contact by a phone number

📘

You can easily filter your contacts by ?query={CONTACT_PHONE} parameter to get them by a phone number.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters

ParameterData typeDescription
idintContact ID
namestringContact fullname
first_namestringContact first name
last_namestringContact last name
responsible_user_idintContact responsible user ID
group_idintGroup ID of the contact responsible user
created_byintID of the user who created the contact
updated_byintID of the user who updated the contact last
created_atintContact creation date in the format of Unix Timestamp
updated_atintContact update date in the format of Unix Timestamp
closest_task_atintDate of the closest open task in the format of Unix Timestamp
custom_fields_valuesarray|nullAn array of the current contact custom fields’ values
account_idintAccount ID where the contact is located in
_embeddedobjectEmbedded entities data
_embedded[tags]arrayContact tags data array
_embedded[tags][0]objectContact tag model
_embedded[tags][0][id]intTag ID
_embedded[tags][0][name]stringTag name
_embedded[tags][0][color]string/nullTag color
_embedded[companies]arrayContact tag model
_embedded[companies][0]objectLinked company data
_embedded[companies][0][id]intLinked company ID
_embedded[leads]arrayGET parameter “with” is required.
Linked leads data array
_embedded[leads][0]objectLinked lead data
_embedded[leads][0][id]intLinked lead ID
_embedded[catalog_elements][catalog_elements]arrayGET parameter “with” is required.
Linked lists’ elements data array
_embedded[catalog_elements][0]objectLinked list element data
_embedded[catalog_elements][0][id]intLinked element ID
_embedded[catalog_elements][0][metadata]objectMeta-data of the element
_embedded[catalog_elements][0][quantity]intLinked elements quantity
_embedded[catalog_elements][0][catalog_id][catalog_id]intID of the linked element’s list
Query Params
string

This parameter takes a string which may consist of several values separated by commas.

int32

Sample page

int32

The number of the entities returned in the response of one request (limit – 250)

string

String or integer. Search query will perform a search by custom fields values.

string
enum

List elements sorting

Allowed:
string
enum

List elements sorting

Allowed:
filter[id][]
array of int32s

Filter by contact ID

filter[id][]
filter[name][]
array of strings

Filter by contact name

filter[name][]
filter[created_by][]
array of int32s

Filter by ID of the user who added the contact(s).

filter[created_by][]
filter[updated_by][]
array of int32s

Filter by ID of the user who updated the contact last.

filter[updated_by][]
filter[responsible_user_id][]
array of int32s

Filter by ID of the contact responsible user

filter[responsible_user_id][]
int32

Filter by the date in Unix Timestamp format when the contact was updated. As a response you will get all the contacts updated after the date.

int32

Filter by the date in Unix Timestamp format when the contact was updated. As a response you will get all the contacts updated before the date.

int32

Filter contacts by the date in Unix Timestamp format of the task closest to completion.

int32

Filter contacts by the date in Unix Timestamp format of the task closest to completion.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json